MORSE(6)

NAME
morse - reformat input as morse code

SYNOPSIS
morse [-o] [-p] [-P dspdevice] [-d device] [-e] [-w speed] [-W speed] [-f frequency] [-s] [string ...]

DESCRIPTION
The command morse read the given input and reformat it in the form of morse code. Acceptable input are command line arguments or the standard input.

Available options:

-s  The -s option produces dots and dashes rather than words.

-o  Write 16bit signed, 44.1kHz native endian sound data to the file specified by -P, or, if not specified, to standard out.

-p  Send morse the real way. This only works if your system has sound(4) support.

-P dspdevice
    Select a different dsp device from the default /dev/dsp.

-w speed
    Set the sending speed in words per minute. If not specified the default speed of 20 WPM is used.

-W speed
    Enable Farnsworth keying. The argument to -w will set the character keying speed and the argument to -W will set the spacing between character and words.

-f frequency
    Set the sidetone frequency to something other than the default 600 Hz.

-d device
    Similar to -p, but use the RTS line of device (which must by a tty device) in order to emit the morse code.

-e  echo each character before it is sent, used together with either -p or -d.

The -w, -W, and -f flags only work in conjunction with either the -p or the -d flag.

Not all prosigns have corresponding characters. Use angle brackets to create a ligature, like ‘<KA>’. The more common prosigns are ‘=’ for BT, ‘(’ for KN and ‘+’ for AR.

Using flag -d device it is possible to key an external device, like a sidetone generator with a headset for training purposes, or even your ham radio transceiver. For the latter, simply connect an NPN transistor to the serial port device, emitter connected to ground, base connected through a resistor (few kiloohms) to RTS, collector to the key line of your transceiver (assuming the transceiver has a positive key supply voltage and is keyed by grounding the key input line). A capacitor (some nanofarads) between base and ground is advisable to keep stray RF away, and to suppress the minor glitch that is generated during program startup.

ENVIRONMENT
If your LC_CTYPE locale codeset is ‘KOI8-R’, characters with the high-order bit set are interpreted as Cyrillic characters. If your LC_CTYPE locale codeset is ‘ISO8859-1’ compatible, they are interpreted as belonging to the ‘ISO-8859-1’ character set.

SEE ALSO
sound(4)

HISTORY
Sound support for morse added by Lyndon Nerenberg (VE7TCP/VE6BBM) <lyndon@orthanc.com> and later converted to use sound(4) by Simon 'corecode' Schubert <corecode@fs.ei.tum.de>.

Ability to key an external device added by Jörg Wunsch (DL8DTL).

BUGS
Only understands a few European characters (German and French), no Asian characters, and no continental landline code.

Sends a bit slower than it should due to system overhead. Some people would call this a feature.